summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 19:43:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:43:42 +0200
commit6d8e5b7e0735fd8c51805386c4963d8afa0a8c83 (patch)
tree4b769e02f648b190aaa06e168763271b32f561c8
parentfdbe73fe3b2671605ac757e0f6385d959294a1ca (diff)
downloadslackbuilds-6d8e5b7e0735fd8c51805386c4963d8afa0a8c83.tar.gz
slackbuilds-6d8e5b7e0735fd8c51805386c4963d8afa0a8c83.tar.xz
academic/octave: Updated for version 3.0.0
-rw-r--r--academic/octave/README12
-rw-r--r--academic/octave/octave.SlackBuild91
-rw-r--r--academic/octave/octave.info12
-rw-r--r--academic/octave/slack-desc23
4 files changed, 70 insertions, 68 deletions
diff --git a/academic/octave/README b/academic/octave/README
index 2a828f506c..180066d913 100644
--- a/academic/octave/README
+++ b/academic/octave/README
@@ -1,5 +1,7 @@
-GNU Octave is a high-level language, primarily intended for numerical
-computations. It provides a convenient command line interface for solving
-linear and nonlinear problems numerically, and for performing other
-numerical experiments using a language that is mostly compatible with
-Matlab. It may also be used as a batch-oriented language.
+GNU Octave is a high-level language, primarily intended for numerical
+computations. It provides a convenient command line interface for solving
+linear and nonlinear problems numerically, and for performing other numerical
+experiments using a language that is mostly compatible with Matlab. It may
+also be used as a batch-oriented language.
+
+FFTW is an optional dependency; it will be used if it is found.
diff --git a/academic/octave/octave.SlackBuild b/academic/octave/octave.SlackBuild
index d6f65e1bf7..a82e792109 100644
--- a/academic/octave/octave.SlackBuild
+++ b/academic/octave/octave.SlackBuild
@@ -1,85 +1,76 @@
#!/bin/sh
# Slackware build script for octave
-
-# Copyright 2006 Robby Workman (http://rlworkman.net)
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
+# Written by Kyle Guinn <elyk03@gmail.com>
PRGNAM=octave
-VERSION=2.1.73
+VERSION=3.0.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+DOCS="BUGS COPYING ChangeLog* INSTALL* NEWS* PROJECTS README* ROADMAP SENDING-PATCHES THANKS"
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
-rm -rf $PKG
-mkdir -p $TMP $PKG/usr $OUTPUT
-cd $TMP
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+chmod -R u+w,go+r-w,a-s .
-# GNU octave doesn't have DESTDIR support, so we do it this way :)
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS -fno-strict-aliasing" \
+CXXFLAGS="$SLKCFLAGS -fno-strict-aliasing" \
+FFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$PKG/usr \
- || exit 1
-make || exit 1
-make install || exit 1
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --enable-picky-flags \
+ --build=i486-slackware-linux # leave this alone
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+make
+make install-strip DESTDIR=$PKG
+
+# make install-strip doesn't yet strip the libraries...
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-gzip -9 $PKG/usr/man/man?/* $PKG/usr/info/*.info*
-rm $PKG/usr/info/dir
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-for FILE in BUGS COPYING ChangeLog ChangeLog.1 INSTALL INSTALL.OCTAVE \
- NEWS NEWS.1 PROJECTS README README.Linux ROADMAP SENDING-PATCHES \
- THANKS doc/* examples; do cp -a $FILE $PKG/usr/doc/$PRGNAM-$VERSION;
-done
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-chown -R root:root .
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 664 -exec chmod 644 {} \;
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/octave/octave.info b/academic/octave/octave.info
index 1286f5c103..5a78ba3d77 100644
--- a/academic/octave/octave.info
+++ b/academic/octave/octave.info
@@ -1,8 +1,8 @@
PRGNAM="octave"
-VERSION="2.1.73"
+VERSION="3.0.0"
HOMEPAGE="http://www.gnu.org/software/octave/"
-DOWNLOAD="ftp://ftp.octave.org/pub/octave/obsolete/octave-2.1.73.tar.bz2"
-MD5SUM="c356475aa06d81a10f8bf27f1a1d27a0"
-MAINTAINER="Robby Workman"
-EMAIL="rw@rlworkman.net"
-APPROVED="robw810"
+DOWNLOAD="ftp://ftp.octave.org/pub/octave/octave-3.0.0.tar.bz2"
+MD5SUM="d5512acdf60ac04398ff258cbc37f3c4"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/academic/octave/slack-desc b/academic/octave/slack-desc
index 3a20820502..273b8b09d9 100644
--- a/academic/octave/slack-desc
+++ b/academic/octave/slack-desc
@@ -1,10 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
octave: GNU Octave (Matlab clone)
-octave:
-octave: GNU Octave is a high-level language, primarily intended for numerical
-octave: computations. It provides a convenient command line interface for solving
-octave: linear and nonlinear problems numerically, and for performing other
-octave: numerical experiments using a language that is mostly compatible with
-octave: Matlab. It may also be used as a batch-oriented language.
+octave:
+octave: GNU Octave is a high-level language, primarily intended for numerical
+octave: computations. It provides a convenient command line interface for
+octave: solving linear and nonlinear problems numerically, and for performing
+octave: other numerical experiments using a language that is mostly compatible
+octave: with Matlab. It may also be used as a batch-oriented language.
octave:
octave: Homepage: http://www.gnu.org/software/octave/
-octave:
+octave:
+octave: